<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ej Varios</title>
</head>

<body>
    <script>
        function MajoroMenor(a,b) {
            if (a > b) {
                alert("el nombre " + a + " és major")
            } else {
                alert("el nombre " + b + " és major")
            }
        }
        //MajoroMenor(5,8);

        function MultiplyWoMultiply(a,b){
            var result = 0;
            for (let index = a; index > 0; index--) {
                result += b;
            }
            return result;
        }
        //alert(MultiplyWoMultiply(6,5));

        function Multiply3numbers(a,b,c){
            result = MultiplyWoMultiply(MultiplyWoMultiply(a,b),c)
            return result;
        }
        //alert(Multiply3numbers(3,4,5));

        function NaturalNumsCubeSum(){
            var result = 0;
            var digit = 0;
            for (let index = 0; index < 100; index++) {
                do {
                    digit = index % 10;
                    // console.log(digit);
                    // console.log(index);
                    result += (digit * digit * digit)
                    if (index = result) {
                        console.log(index);
                    }
                }while (digit = 0) 
            }
        }
        //NaturalNumsCubeSum();

        function AverageMark(a,b,c){
            var result = (a+b+c)/3;
            return result.toFixed(1);
        }
        //alert(AverageMark(3,8,5))

        function CubeIfInt(a){
            if (isNaN(a)) {
                
            } else {
                alert("It's not an int " + a)
            }
        }
        alert(CubeIfInt(3));
    </script>
</body>

</html>